#!/bin/ksh
#set -vx


#######################################################################################
### script realisant les moyennes glissantes sur 11 ans a partir des climatos de INCA
### il faut modifier :
###       - le nom de la simulation (SIMUL_NAME) 
###       - le path des fichiers climato 
#######################################################################################

SIMUL_NAME=AEROSOL_RCP45_v5

mkdir -p $CSCRATCHDIR/${SIMUL_NAME}
cd $CSCRATCHDIR/${SIMUL_NAME}

liste_period="2090 2091 2092 2093 2094 2095 2096 2097 2098 2099 2100 2101 2102 2103 2104 2105  "

for period in ${liste_period} ; do

  file=/......../climato_${period}_LOI_IPCC_RCP45.nc
  if [ ! -f climato_${period}.nc  ] ; then
     echo cp ${file}  climato_${period}.nc
     cp ${file} climato_${period}.nc
  else
     echo climato_${period}.nc  existe localement
  fi

done


AnneeFinal=2100
AnneeCourante=2095


while [ ${AnneeCourante} -le ${AnneeFinal} ] ; do
    (( AnneeNCEA=AnneeCourante-5 ))

    echo ncea -n 11,4,1 climato_${AnneeNCEA}.nc aerosols_11YearsClim_${AnneeCourante}.nc
    ncea -n 11,4,1 climato_${AnneeNCEA}.nc aerosols_11YearsClim_${AnneeCourante}.nc

    (( AnneeCourante=AnneeCourante+1 ))
done
